package org.josast.AmsatList.Commande;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

public class executeCommandeTest {

	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testExecute() {
		
		String filecmd2 = "src\\test\\data\\FileIn\\StatusSatelliteCmdcommandeSave.csv";
		String inputDirectory =  "src/test/data/in";
		String outputDirectory = "src/test/data/out";
		
		CommandeList cl = new  CommandeList(filecmd2);
		System.out.println(cl.getListeCommande().size());
		executeCommande ex = new executeCommande();
		ex.execute(inputDirectory, outputDirectory, cl);

		
		
	     assertTrue( true );
	}



}
